# Update offer\_application the status

| HTTP method | Endpoint                                               |
| ----------- | ------------------------------------------------------ |
| **PATCH**   | **/v1/batches/offer\_applications/{application\_ids}** |

## Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter        | Description                                                                   |
| ---------------- | ----------------------------------------------------------------------------- |
| application\_ids | The unique id for the offer\_application.                                     |
| status           | The modified status of the offer.  Possible Values: approved·rejected·deleted |

**Note:The limit of bulk adjustment is 100 offer\_applications.**

## Response body parameters <a href="#response-body-parameters" id="response-body-parameters"></a>

| Field  | Type    | Description                                                                   |
| ------ | ------- | ----------------------------------------------------------------------------- |
| id     | integer | A string that uniquely identifies this offer.                                 |
| status | string  | The modified status of the offer.  Possible Values: approved·rejected·deleted |

## Example request <a href="#example-request" id="example-request"></a>

**Request PATCH** <https://{networkname}.api.offerslook.com/v1/batches/offer_applications/41,42,43?status=approved>

<http://{networkname}.api.offerslook.com/v1/batches/offer_applications/41,42,43?status=approved>

## Example response <a href="#example-response" id="example-response"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "offer_application": [
          {
            "id": 41,
            "affiliate_id": 161,
            "offer_id": 295,
            "apply_time": 1478247529,
            "accept_time": 1489375794,
            "status": "approved"
          },
          {
            "id": 42,
            "affiliate_id": 148,
            "offer_id": 2,
            "apply_time": 1478600524,
            "accept_time": 1489375794,
            "status": "approved"
          },
          {
            "id": 43,
            "affiliate_id": 148,
            "offer_id": 305,
            "apply_time": 1478600562,
            "accept_time": 1489375794,
            "status": "approved"
          }
        ]
      }
    }
```
